//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System.Web.UI;

namespace CommunityServer.Controls
{
	/// <summary>
	/// Summary description for ListItemHref.
	/// </summary>
	public class ListItemHref : Href
	{
        protected override void Render(HtmlTextWriter writer)
        {
            if(IsListItem)
            writer.Write("<li>");

           base.Render (writer);

            if(IsListItem)
           writer.Write("</li>");
        }

        private bool _isListItem = true;
        public bool IsListItem
        {
            get{return _isListItem;}
            set{_isListItem = value;}
        }

	}

}
